# https://archive.xfce.org/src/apps/xfce4-notifyd/0.4/xfce4-notifyd-0.4.2.tar.bz2

Name:           xfce4-notifyd
Version:        0.4.2
Release:        %mkrel 1
Summary:        Xfce Notify Daemon
Summary(de):    Xfce-Benachrichtigungsdienst

License:        GPLv2+
Group:          Graphical desktop/Xfce
URL:            http://git.xfce.org/apps/xfce4-notifyd/
Source0:        %{name}-%{version}.tar.xz

BuildRequires:  gettext-devel
BuildRequires:  %{_lib}notify-devel
BuildRequires:  %{_lib}xfce4ui-devel
BuildRequires:  %{_lib}xfce4util-devel
BuildRequires:  libpthread-stubs
BuildRequires:	perl-XML-Parser
BuildRequires:	wayland-protocols-devel
BuildRequires:	xfce4-panel-devel

%description
The Xfce Notify Daemon (xfce4-notifyd for short) is a smallish program that
implements the "server-side" portion of the Freedesktop desktop notifications
specification.  Applications that wish to pop up a notification bubble in
a standard way can implicitly make use of xfce4-notifyd to do so by
sending standard messages over D-Bus using the org.freedesktop.Notifications
interface.

%description -l de
Der Xfce Notify Daemon (kurz xfce4-notifyd) ist in ein kleines Programm, dass den
Serverteil der Freedesktop Desktopbenachrichtigungen Spezifikation implementiert.
Programme die eine Benachrichtigung erscheinen lassen wollen, können xfce4-notifyd
implizit durch das senden von Standardnachrichten über das org.freedesktop.Notifications
Interface von D-Bus nutzen.

%package -n %{name}-plugin
Summary:        XFCE Notification Daemon panel plugin
Summary(de):  	XFCE Panel Plugin für den Benachrichtigungsdienst
Group:      		Graphical desktop/Xfce
Requires:       xfce4-notifyd = %{version}-%{release}
Requires:       xfce4-panel

%description -n %{name}-plugin
The Xfce Notify Daemon (xfce4-notifyd for short) is a smallish program that
implements the "server-side" portion of the Freedesktop desktop notifications
specification.  Applications that wish to pop up a notification bubble in
a standard way can implicitly make use of xfce4-notifyd to do so by
sending standard messages over D-Bus using the org.freedesktop.Notifications
interface.

This package contains a plugin for the XFCE panel that allows to control the
notification demon.

%description -n %{name}-plugin -l de
Der Xfce Notify Daemon (kurz xfce4-notifyd) ist in ein kleines Programm, dass den
Serverteil der Freedesktop Desktopbenachrichtigungen Spezifikation implementiert.
Programme die eine Benachrichtigung erscheinen lassen wollen, können xfce4-notifyd
implizit durch das senden von Standardnachrichten über das org.freedesktop.Notifications
Interface von D-Bus nutzen.

Dieses Paket enthält ein Plugin für das XFCE Panel, welches die Kontrolle über den
Benachrichtigungsdienst erlaubt.

%prep
%setup -q

%build
%configure2_5x
%make_build

%install
%makeinstall_std
%__rm -rf %{buildroot}/usr/lib
find %{buildroot} -type f -regex ".*\.\(a\|la\)$" -delete
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}-config
%dir %{_libdir}/xfce4
%{_libdir}/xfce4/notifyd
%{_desktopdir}/%{name}-config.desktop
%{_datadir}/dbus-1/services/org.xfce.%{name}.Notifications.service
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_mandir}/man1/%{name}-config.1.bz2
%{_datadir}/themes/Bright
%{_datadir}/themes/Default/xfce-notify-4.0
%{_datadir}/themes/Retro
%{_datadir}/themes/Smoke
%{_datadir}/themes/ZOMG-PONIES!

%files -n %{name}-plugin
%defattr(-,root,root)
%{_libdir}/xfce4/panel
%{_iconsdir}/hicolor/scalable/status/notification*.svg
%{_datadir}/xfce4

%changelog
* Thu Mar 08 2018 marcin82 <fixxer1982 at gmail.com> 0.4.2-1pclos2018
- update

* Wed Dec 20 2017 ghostbunny <ghostbunny at gmx dot de> 0.4.1-1pclos2017
- 0.4.1

* Fri Dec 01 2017 ghostbunny <ghostbunny at gmx dot de> 0.4.0-1pclos2017
- 0.4.0

* Fri Mar 31 2017 ghostbunny <ghostbunny at gmx dot de> 0.3.6-1pclos2017
- 0.3.6

* Mon Dec 26 2016 ghostbunny <ghostbunny at gmx dot de> 0.3.4-1pclos2017
- 0.3.4

* Sun Mar 08 2015 ghostbunny <ghostbunny at gmx dot de> 0.2.4-1pclos2015
- initial import for PCLOS
